Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86553 - rpm database corrupt after a rpm hang
Summary: rpm database corrupt after a rpm hang
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 13:42 UTC by Robert de Nijs
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 18:44:23 UTC


Attachments (Terms of Use)

Description Robert de Nijs 2003-03-25 13:42:21 UTC
Description of problem:
rpm gives a segmentation fault after hang on
rpm -Fvh binutils-2.13.90.0.18-6
(100 % complete, then a hang.)
binutils is twice in the database
rpm -qa | grep binutils gives
binutils-2.13.90.0.2-2
binutils-2.13.90.0.18-6

every rpm update gives a segmentation fault

Version-Release number of selected component (if applicable):
rpm-4.1-1.06

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Robert de Nijs 2003-03-25 13:43:09 UTC
tried rpm --rebuild, db_verify (no errors), db_dump db_load 
every update gives a segmentation fault
for example
rpm -Fvvh cvs-1.11.2.8.i386.rpm
gives at the end
.
.
########################################### [100%]
D: ========== +++ cvs-1.11.2-8
D: Expected size:      1128389 = lead(96)+sigs(344)+pad(0)+data(1127949)
D:   Actual size:      1128389
D:   install: cvs-1.11.2-8 has 55 files, test = 0
D:  read h#     645 Header V3 DSA signature: NOKEY, key ID db42a60e
Segmentation fault

in fact every update gives a segmentation fault



Comment 2 Jeff Johnson 2003-03-28 19:39:56 UTC
"Every install segfaults" smells like LDAP pam module.

Try doing
    server nscd restart
and repeating. If that fixes, then insure that nscd is
started during boot.

If that does not fix, please reopen this bug with more
specific information.

Comment 3 Robert de Nijs 2003-04-02 07:32:40 UTC
I've tried a rpm --rebuilddb after deleting all files but the Packages file 
with nscd started, this didn't fix the problem.
A db_verify didn't help either.
I still think that the problem is caused by the dubbel binutils in the rpm
Packages file.
binutils-2.13.90.0.2-2 
binutils-2.13.90.0.18-6
(all the file on my system are from the newest binutils package)
rpm -qa still works fine.
Every update gives a segfault, i am not able to remove one of the binutils.
The only thing I can find to do is a "pretended install" to recreate a new rpm 
database. This looks very tricky to me.

Comment 4 Jeff Johnson 2003-04-03 00:00:03 UTC
Please give me a pointer (i.e. URL, attachments won't work)
to a tarball of your database
    cd /var/lib
    tar czvf /tmp/rpmdb-86553.tar.gz
and I'll verify that there is nothing wrong.

Comment 5 Jeff Johnson 2003-04-03 00:01:21 UTC
Hmmm that should have been
    tar czvf /tmp/rpmdb-86553.tar.gz rpm

Comment 6 Jeremy Katz 2005-04-19 18:44:23 UTC
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.


Note You need to log in before you can comment on or make changes to this bug.